Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class ConstructorMetaData

    java.lang.Object
      org.jboss.aop.metadata.ConstructorMetaData

All Implemented Interfaces:
  MetaDataResolver

public class ConstructorMetaData
extends Object
implements MetaDataResolver

Version:
  $Revision: 1.11 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.aop.metadata.MetaDataResolver
`EMPTY_TAG`

Constructor Summary
`ConstructorMetaData()`

Method Summary
`void` | `addConstructorMetaData(Constructor constructor, Object tag, Object attr, Object value)`
`void` | `addConstructorMetaData(Constructor constructor, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `addConstructorMetaData(javassist.CtConstructor constructor, Object tag, Object attr, Object value)`
`void` | `addConstructorMetaData(String key, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `clear()`
`SimpleMetaData` | `getAllMetaData(Invocation invocation)` Get all metadata that belong with the context of this invocation
`SimpleMetaData` | `getConstructorMetaData(Constructor constructor)`
`Object` | `getConstructorMetaData(Constructor constructor, Object tag, Object attr)`
`SimpleMetaData` | `getConstructorMetaData(String constructor)`
`Object` | `getConstructorMetaData(String constructor, Object tag, Object attr)`
`Iterator` | `getConstructors()`
`boolean` | `hasGroup(javassist.CtConstructor constructor, String tag)`
`boolean` | `hasTag(Constructor constructor, String tag)`
`boolean` | `hasTag(String tag)`
`Object` | `resolve(Invocation invocation, Object tag, Object attr)`
`void` | `tagConstructor(Constructor con, Object tag)`
`void` | `tagConstructor(javassist.CtConstructor con, Object tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorMetaData

    public ConstructorMetaData()

Method Detail

### hasTag

    public boolean hasTag(String tag)

### hasTag

    public boolean hasTag(Constructor constructor,
                          String tag)

### tagConstructor

    public void tagConstructor(Constructor con,
                               Object tag)

### addConstructorMetaData

    public void addConstructorMetaData(Constructor constructor,
                                       Object tag,
                                       Object attr,
                                       Object value)

### addConstructorMetaData

    public void addConstructorMetaData(Constructor constructor,
                                       Object tag,
                                       Object attr,
                                       Object value,
                                       PayloadKey type)

### addConstructorMetaData

    public void addConstructorMetaData(String key,
                                       Object tag,
                                       Object attr,
                                       Object value,
                                       PayloadKey type)

### getConstructors

    public Iterator getConstructors()

### getConstructorMetaData

    public SimpleMetaData getConstructorMetaData(Constructor constructor)

### getConstructorMetaData

    public SimpleMetaData getConstructorMetaData(String constructor)

### getConstructorMetaData

    public Object getConstructorMetaData(Constructor constructor,
                                         Object tag,
                                         Object attr)

### getConstructorMetaData

    public Object getConstructorMetaData(String constructor,
                                         Object tag,
                                         Object attr)

### clear

    public void clear()

### resolve

    public Object resolve(Invocation invocation,
                          Object tag,
                          Object attr)

  Specified by:
    `resolve` in interface `MetaDataResolver`

### getAllMetaData

    public SimpleMetaData getAllMetaData(Invocation invocation)

  Description copied from interface: `MetaDataResolver`
  Get all metadata that belong with the context of this invocation

  Specified by:
    `getAllMetaData` in interface `MetaDataResolver`

### tagConstructor

    public void tagConstructor(javassist.CtConstructor con,
                               Object tag)

### addConstructorMetaData

    public void addConstructorMetaData(javassist.CtConstructor constructor,
                                       Object tag,
                                       Object attr,
                                       Object value)

### hasGroup

    public boolean hasGroup(javassist.CtConstructor constructor,
                            String tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.